/**
 * Represents a filter parameter that is manipulatable using the GUI.
 * 
 * @see {@link ParameterizedFilter}
 * @see {@link IntFilterParam}
 * @see {@link BooleanFilterParam}
 */
public abstract class FilterParam {
	/**
	 * @return		the name of this parameter, as it will be displayed in the GUI
	 */
	public abstract String getName();
}